@REM Runner's Delight at Speedcon batch file
@ECHO off
@REM Check for the RDE directory
cd ..
ECHO Runner's Delight at Speedcon
ECHO by the Quake done Quick team
ECHO (http://PlanetQuake.com/QdQ/)
IF NOT EXIST rde\rdsc.bat ECHO You need to call your Runner's Delight directory "rde" to use this batch file.
IF NOT EXIST rde\rdsc.bat GOTO END
cd rde

@REM Initialisation
IF EXIST *.tab del *.tab
IF EXIST put_back.bat CALL put_back
IF EXIST config.cfg REN config.cfg config.bak
ECHO @ECHO off > put_back.bat
ECHO ECHO Returning paks to library >> put_back.bat
IF EXIST rdsc.pak GOTO WHICHQUAKE

:nordsc
ECHO I could not find the the pak containing the speed runs! (rdsc.pak)
GOTO END

:WHICHQUAKE
IF EXIST ..\glquake.exe IF EXIST ..\quake.exe IF EXIST ..\winquake.exe GOTO GQW
IF EXIST ..\glquake.exe IF EXIST ..\quake.exe GOTO GQ
IF EXIST ..\glquake.exe IF EXIST ..\winquake.exe GOTO GW
IF EXIST ..\glquake.exe GOTO GLQUAKE
IF EXIST ..\quake.exe IF EXIST ..\winquake.exe GOTO QW
IF EXIST ..\quake.exe GOTO QUAKE
IF EXIST ..\winquake.exe GOTO WINQUAKE
ECHO Failed to find any of GLQuake, WinQuake and Quake.
GOTO END

:GQW
CHOICE /C:GQW "Run using GLQuake.exe, Quake.exe or WinQuake.exe "
IF errorlevel 3 GOTO WINQUAKE
IF errorlevel 2 GOTO QUAKE
IF errorlevel 1 GOTO GLQUAKE
GOTO END

:GQ
CHOICE /C:GQ "Run using GLQuake.exe or Quake.exe "
IF errorlevel 2 GOTO QUAKE
IF errorlevel 1 GOTO GLQUAKE
GOTO END

:GW
CHOICE /C:GW "Run using GLQuake.exe or WinQuake.exe "
IF errorlevel 2 GOTO WINQUAKE
IF errorlevel 1 GOTO GLQUAKE
GOTO END

:QW
CHOICE /C:QW "Run using Quake.exe or WinQuake.exe? "
IF errorlevel 2 GOTO WINQUAKE
IF errorlevel 1 GOTO QUAKE
GOTO END

:GLQUAKE
ECHO ' ' > glquake.tab
ECHO ' ' > glorwinq.tab
GOTO COUNTPAKS

:WINQUAKE
ECHO ' ' > winquake.tab
ECHO ' ' > glorwinq.tab
GOTO COUNTPAKS

:QUAKE
ECHO ' ' > quake.tab
GOTO COUNTPAKS

:COUNTPAKS
IF NOT EXIST ..\id1\pak0.pak GOTO COUNTRDE
CALL counter
IF NOT EXIST ..\id1\pak1.pak GOTO COUNTRDE
CALL counter
IF NOT EXIST ..\id1\pak2.pak GOTO COUNTRDE
CALL counter
IF NOT EXIST ..\id1\pak3.pak GOTO COUNTRDE
CALL counter
IF NOT EXIST ..\id1\pak4.pak GOTO COUNTRDE
CALL counter
IF NOT EXIST ..\id1\pak5.pak GOTO COUNTRDE
CALL counter
IF NOT EXIST ..\id1\pak6.pak GOTO COUNTRDE
CALL counter
IF NOT EXIST ..\id1\pak7.pak GOTO COUNTRDE
CALL counter
IF NOT EXIST ..\id1\pak8.pak GOTO COUNTRDE
CALL counter

:COUNTRDE

IF NOT EXIST pak0.pak GOTO CHECK
CALL counter
IF NOT EXIST pak1.pak GOTO CHECK
CALL counter
IF NOT EXIST pak2.pak GOTO CHECK
CALL counter
IF NOT EXIST pak3.pak GOTO CHECK
CALL counter
IF NOT EXIST pak4.pak GOTO CHECK
CALL counter
IF NOT EXIST pak5.pak GOTO CHECK
CALL counter
IF NOT EXIST pak6.pak GOTO CHECK
CALL counter
IF NOT EXIST pak7.pak GOTO CHECK
CALL counter
IF NOT EXIST pak8.pak GOTO CHECK
CALL counter

:CHECK
IF EXIST 9.tab IF EXIST glorwinq.tab GOTO PROBLEM
CALL movepak rdsc
IF EXIST 9.tab IF EXIST glorwinq.tab GOTO PROBLEM

:RUN
cd ..
IF EXIST rde\quake.tab GOTO RUNQUAKE
IF EXIST rde\winquake.tab GOTO RUNWINQUAKE
IF EXIST rde\glquake.tab GOTO RUNGLQUAKE

:RUNGLQUAKE
ECHO Starting GLQuake on RDSC
glquake -game rde %1 %2 %3 %4 %5 %6 %7 %8 %9
PAUSE
GOTO HAVERUN

:RUNWINQUAKE
ECHO Starting WinQuake on RDSC
winquake -game rde %1 %2 %3 %4 %5 %6 %7 %8 %9
PAUSE
GOTO HAVERUN

:RUNQUAKE
ECHO Starting DOS Quake on RDSC
quake -game rde -winmem 16 %1 %2 %3 %4 %5 %6 %7 %8 %9
GOTO HAVERUN

:PROBLEM
ECHO You are trying to run GLQuake or WinQuake with more than the maximum
ECHO number of *.pak files allowed. These versions of Quake will only work if
ECHO you use no more than eight *.pak files altogether in your id1\
ECHO and rde\ directories.
ECHO ----
ECHO There are four ways you may be able to solve this problem:
ECHO 1. If you have some unnecessary *.paks for such things as a crosshair
ECHO    in your id1\ or rde\ directories, move them out temporarily.
ECHO    Files such as id1\pak2.pak and upwards are probably suitable candidates.
ECHO 2. Run using normal Quake, not WinQuake or GLQuake. This version can
ECHO    handle any number of *.pak files.
ECHO 3. (For the Quake techie only.) Unpak the paks, or repak several small
ECHO    paks into one larger one, using a tool such as QPed or AdQuEdit.
ECHO ----
ECHO Sorry for the inconvenience. Hope one of these ideas helps!
ECHO ----
GOTO END

:HAVERUN
CLS
ECHO Runner's Delight at Speedcon 2000

:END
IF EXIST rde\rdsc.bat cd rde
IF EXIST put_back.bat CALL put_back
IF EXIST put_back.bat del put_back.bat
IF EXIST *.tab del *.tab
IF EXIST config.cfg DEL config.cfg
IF EXIST config.bak REN config.bak config.cfg
